CVE-2019-7576

NameCVE-2019-7576
DescriptionSDL (Simple DirectMedia Layer) through 1.2.15 and 2.x through 2.0.9 has a heap-based buffer over-read in InitMS_ADPCM in audio/SDL_wave.c (outside the wNumCoef loop).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1713-1, DLA-1714-1
NVD severitymedium (attack range: remote)
Debian Bugs924609, 924610

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libsdl1.2 (PTS)jessie1.2.15-10vulnerable
jessie (security)1.2.15-10+deb8u1fixed
stretch1.2.15+dfsg1-4vulnerable
buster, sid1.2.15+dfsg2-4vulnerable
libsdl2 (PTS)jessie2.0.2+dfsg1-6fixed
jessie (security)2.0.2+dfsg1-6+deb8u1fixed
stretch2.0.5+dfsg1-2vulnerable
buster, sid2.0.9+dfsg1-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libsdl1.2source(unstable)(unfixed)medium924609
libsdl1.2sourcejessie1.2.15-10+deb8u1mediumDLA-1713-1
libsdl2source(unstable)(unfixed)medium924610
libsdl2sourcejessie1.2.15-10+deb8u1mediumDLA-1714-1

Notes

[stretch] - libsdl1.2 <no-dsa> (Minor issue)
[stretch] - libsdl2 <no-dsa> (Minor issue)
https://bugzilla.libsdl.org/show_bug.cgi?id=4490
Proposed patch: https://bugzilla.libsdl.org/attachment.cgi?id=3620&action=diff
very similar bug to CVE-2019-7573, fix for CVE-2019-7573 is applicable to this

Search for package or bug name: Reporting problems